Commit 5dc60580 authored by Matthieu FAURE's avatar Matthieu FAURE
Browse files

FEAT Update Debian, Ubuntu, PHP and Symfony

parent 9af6f53b
......@@ -2,11 +2,13 @@
* [Debian Releases official](https://www.debian.org/releases/)
* [Wiki Debian releases Production](https://wiki.debian.org/DebianReleases#Production_Releases)
* [Debian Long Term Support](https://wiki.debian.org/LTS)
| Debian | Release date | EOL | EOL LTS |
|---------------------------|-------------:|------:| --------:|
| 9 *Stretch* (oldstable) | 2017-06 | ~2020 | ~2022 |
| 10 *Buster* (stable) | 2019-07 | ~2022 | unknown |
| Debian | Release date | EOL | EOL LTS |
|:---------------------------|-------------:|-----------:|--------:|
| 9 *Stretch* (oldoldstable) | 2017-06 | 2020-07-18 | 2022-06 |
| 10 *Buster* (oldstable) | 2019-07 | ~2022-08 | 2024-06 |
| 11 *Bullseye* (stable) | 2021-08 | ~2024 | 2026-06 |
## Resources
......
......@@ -7,14 +7,13 @@ Map of respective end-of-life (EOL) for releases of Symfony, PHP, Debian, Ubuntu
* [PHP Supported versions](https://www.php.net/supported-versions.php)
* [Migrating from one version of PHP to another version](https://www.php.net/manual/fr/appendices.php)
| PHP version | Released Active Support Until | Security Support Until |
|--------------|-------------:|---------------------:|-----------------------:|
| 7.2 | 30 Nov 2017 | 30 Nov 2019 | 30 Nov 2020 |
| **7.3** | 6 Dec 2018 | 6 Dec 2020 | **6 Dec 2021** |
| **7.4** | 28 Nov 2019 | 28 Nov 2021 | **28 Nov 2022** |
| 8.0 `(2)` | Nov 2020 | | |
| PHP version | Released | Active Support Until | Security Support Until |
|:------------|------------:|---------------------:|-----------------------:|
| 7.2 | 30 Nov 2017 | 30 Nov 2019 | 30 Nov 2020 |
| 7.3 | 6 Dec 2018 | 6 Dec 2020 | 6 Dec 2021 |
| 7.4 | 28 Nov 2019 | 28 Nov 2021 | 28 Nov 2022 |
| 8.0 | 26 Nov 2020 | 26 Nov 2022 | 26 Nov 2023 |
`(2)` not release yet
## Symfony EOL
......@@ -33,14 +32,15 @@ Map of respective end-of-life (EOL) for releases of Symfony, PHP, Debian, Ubuntu
* contains breaking changes
* change the necessary version of PHP
| Symfony | Min PHP version | Released | End of support | End of bug fixes | End of security fixes |
|--------------|----------------:|---------------:|---------------:|-----------------:|----------------------:|
| **4.4 LTS** | 7.1.3 | November 2019 | See --> | November 2022 | November 2023 |
| **5.0** | 7.2.5 | November 2019 | **July 2020** | | |
| 5.1 `(2)` | 7.2.5 | May 2020 | January 2021 | | |
| 5.2 `(2)` | 7.2.5 | November 2020 | July 2021 | | |
| 5.3 `(2)` | 7.2.5 | May 2021 | January 2022 | | |
| 5.4 LTS `(2)`| PHP 7.2.5 | November 2021 | November 2024 | ? | ? |
| Symfony | Min PHP version | Released | End of support | End of bug fixes | End of security fixes |
|:--------------|----------------:|--------------:|---------------:|-----------------:|----------------------:|
| **4.4 LTS** | 7.1.3 | November 2019 | See --> | November 2022 | November 2023 |
| **5.0** | 7.2.5 | November 2019 | **July 2020** | | |
| 5.1 | 7.2.5 | May 2020 | January 2021 | | |
| 5.2 | 7.2.5 | November 2020 | July 2021 | | |
| 5.3 | 7.2.5 | May 2021 | January 2022 | | |
| 5.4 LTS `(2)` | PHP 7.2.5 | November 2021 | November 2024 | November 2024 | November 2025 |
| 6.0 `(2)` | PHP 8.0.2 | November 2021 | July 2022 | | |
`(2)` not release yet
......@@ -60,14 +60,17 @@ Note on how Symfony manages LTS:
## PHP in Debian
* [PHP 7.3 in Debian 10 Buster](https://wiki.debian.org/DebianBuster)
* [PHP 7.4 in Debian 11 Bullseye](https://www.debian.org/News/2021/20210814)
(See also [Debian EOL](OS-Debian.md))
## Result of combinations
| Distro family | Distro version | Until | Shipped with PHP | Usable versions of Symfony |
|---------------|-------------------------:|-------:|------------------:|---------------------------:|
| Ubuntu | 18.04 | 2023 | 7.2 | 4.4 + 5.x |
| Ubuntu | 20.04 | 2025 | 7.4 | 4.4 + 5.x |
| Debian | 9 *Stretch* (oldstable) | ~2020 | 7.0 | NA |
| Debian | 10 *Buster* (stable) | ~2022 | 7.3 | 4.4 + 5.x |
| Distro family | Distro version | Supported until | Shipped with PHP | Usable versions of Symfony |
|:--------------|----------------------------:|----------------:|-----------------:|---------------------------:|
| Ubuntu | 18.04 | 2023 | 7.2 | 4.4 + 5.x |
| Ubuntu | 20.04 | 2025 | 7.4 | 4.4 + 5.x |
| Debian | 9 *Stretch* (oldoldstable) | ~2022 | 7.0 | NA |
| Debian | 10 *Buster* (oldstable) | ~2024 | 7.3 | 4.4 + 5.x |
| Debian | 11 *Bullseye* (stable) | ~2026 | 7.4 | 4.4 + 5.x |
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment